New Chargeflow docs. Everything for merchants, platforms, and the API in one place.
Log in
Current (2025-04-01)Merchants APIDisputes

Get Dispute by ID

Retrieves a single dispute, optionally expanded with enriched data using the expand parameter.

GET
/public/2025-04-01/disputes/{disputeId}
x-api-key<token>

Your Chargeflow API key, sent on every request. Generate one in the Chargeflow App, or see API keys.

In: header

Path Parameters

disputeId*string

The unique Chargeflow object identifier of the dispute.

Match^[0-9a-fA-F]{24}$

Query Parameters

expand?array<>

Available Expansions

Use the expand parameter to include additional resource details in the response.

Available options:

ParameterDescription
transactionFull payment transaction details including amount, currency, payment method and more
orderComplete order details including products, shipping, and fulfillment and more
subscriptionComplete subscription details including plan, frequency, cancellation reason and more
customer_communicationComplete customer communication details including messages, sender, and more

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/public/2025-04-01/disputes/66e6ea9ecd94925a9f8060d9"
{  "id": "66e6ea9ecd94925a9f8060d9",  "source": "stripe",  "source_id": "du_123456789",  "account_id": "66e6ea9ecd94925a9f8060d9",  "ext_account_id": "acc_123456",  "created_at": "2024-02-10T12:00:00Z",  "reason": "fraud",  "due_by": "2024-02-20T12:00:00Z",  "amount": 100,  "currency": "USD",  "status": "needs_response",  "stage": "Chargeback",  "closed_at": "2025-01-27T10:00:00Z",  "transaction": "66e6ea9ecd94925a9f8060d9",  "subscription": "66e6ea9ecd94925a9f8060d9",  "order": "ord_1234567890"}
Was this page helpful?
llms.txt